# The set of languages for which implicit dependencies are needed:
set(CMAKE_DEPENDS_LANGUAGES
  "C"
  )
# The set of files for implicit dependencies of each language:
set(CMAKE_DEPENDS_CHECK_C
  "/home/book/hisi3518_lora/network/mbedtls/library/aes.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/aes.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/aesni.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/aesni.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/arc4.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/arc4.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/aria.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/aria.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/asn1parse.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/asn1parse.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/asn1write.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/asn1write.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/base64.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/base64.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/bignum.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/bignum.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/blowfish.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/blowfish.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/camellia.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/camellia.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ccm.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ccm.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/certs.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/certs.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/chacha20.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/chacha20.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/chachapoly.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/chachapoly.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/cipher.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/cipher.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/cipher_wrap.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/cipher_wrap.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/cmac.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/cmac.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ctr_drbg.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ctr_drbg.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/debug.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/debug.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/des.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/des.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/dhm.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/dhm.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ecdh.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ecdh.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ecdsa.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ecdsa.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ecjpake.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ecjpake.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ecp.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ecp.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ecp_curves.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ecp_curves.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/entropy.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/entropy.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/entropy_poll.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/entropy_poll.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/error.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/error.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/gcm.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/gcm.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/havege.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/havege.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/hkdf.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/hkdf.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/hmac_drbg.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/hmac_drbg.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/md.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/md.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/md2.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/md2.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/md4.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/md4.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/md5.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/md5.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/md_wrap.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/md_wrap.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/memory_buffer_alloc.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/memory_buffer_alloc.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/net_sockets.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/net_sockets.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/nist_kw.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/nist_kw.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/oid.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/oid.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/padlock.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/padlock.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/pem.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/pem.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/pk.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/pk.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/pk_wrap.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/pk_wrap.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/pkcs11.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/pkcs11.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/pkcs12.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/pkcs12.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/pkcs5.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/pkcs5.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/pkparse.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/pkparse.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/pkwrite.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/pkwrite.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/platform.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/platform.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/platform_util.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/platform_util.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/poly1305.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/poly1305.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ripemd160.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ripemd160.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/rsa.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/rsa.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/rsa_internal.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/rsa_internal.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/sha1.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/sha1.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/sha256.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/sha256.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/sha512.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/sha512.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ssl_cache.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ssl_cache.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ssl_ciphersuites.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ssl_ciphersuites.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ssl_cli.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ssl_cli.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ssl_cookie.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ssl_cookie.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ssl_srv.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ssl_srv.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ssl_ticket.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ssl_ticket.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/ssl_tls.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/ssl_tls.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/threading.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/threading.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/timing.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/timing.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/version.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/version.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/version_features.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/version_features.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/x509.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/x509.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/x509_create.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/x509_create.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/x509_crl.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/x509_crl.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/x509_crt.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/x509_crt.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/x509_csr.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/x509_csr.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/x509write_crt.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/x509write_crt.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/x509write_csr.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/x509write_csr.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/library/xtea.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/library/xtea.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/wrapper/entropy_hardware_alt.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/wrapper/entropy_hardware_alt.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/wrapper/net_sockets_alt.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/wrapper/net_sockets_alt.c.o"
  "/home/book/hisi3518_lora/network/mbedtls/wrapper/timing_alt.c" "/home/book/hisi3518_lora/cmake-build-debug/network/mbedtls/CMakeFiles/mc-mbedtls.dir/wrapper/timing_alt.c.o"
  )
set(CMAKE_C_COMPILER_ID "GNU")

# Preprocessor definitions for this target.
set(CMAKE_TARGET_DEFINITIONS_C
  "mc_mbedtls_EXPORTS"
  )

# The include file search paths:
set(CMAKE_C_TARGET_INCLUDE_PATH
  "../config"
  "../common/log"
  "../common"
  "../mqtt"
  "../platform/linux"
  "../network/mbedtls"
  "../network/mbedtls/wrapper"
  "../network/mbedtls/configs"
  "../network/mbedtls/include"
  "../network/mbedtls/include/mbedtls"
  )

# Pairs of files generated by the same build rule.
set(CMAKE_MULTIPLE_OUTPUT_PAIRS
  "/home/book/hisi3518_lora/build/lib/libmc-mbedtls.so" "/home/book/hisi3518_lora/build/lib/libmc-mbedtls.so.1.2.0"
  )


# Targets to which this target links.
set(CMAKE_TARGET_LINKED_INFO_FILES
  "/home/book/hisi3518_lora/cmake-build-debug/platform/CMakeFiles/mc-platform.dir/DependInfo.cmake"
  "/home/book/hisi3518_lora/cmake-build-debug/common/CMakeFiles/mc-common.dir/DependInfo.cmake"
  "/home/book/hisi3518_lora/cmake-build-debug/common/log/CMakeFiles/mc-log.dir/DependInfo.cmake"
  )

# Fortran module output directory.
set(CMAKE_Fortran_TARGET_MODULE_DIR "")
